org.eclipse.rdf4j.sail.helpers

## Class SailConnectionBase

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSailConnection
  - - org.eclipse.rdf4j.sail.helpers.SailConnectionBase

- All Implemented Interfaces:
    AutoCloseable, SailConnection

  Deprecated.
  since 4.0. USe `AbstractSailConnection` instead.

      @Deprecated
      public abstract class SailConnectionBase
      extends AbstractSailConnection

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `connectionLock, updateLock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailConnectionBase(AbstractSail sailBase)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `addStatement, addStatement, addStatementInternal, autoStartTransaction, begin, begin, clear, clearInternal, clearNamespaces, clearNamespacesInternal, close, closeInternal, commit, commitInternal, endUpdate, endUpdateInternal, evaluate, evaluateInternal, flush, getContextIDs, getContextIDsInternal, getExclusiveConnectionLock, getNamespace, getNamespaceInternal, getNamespaces, getNamespacesInternal, getSharedConnectionLock, getStatements, getStatementsInternal, getTransactionIsolation, getTransactionLock, isActive, isActiveOperation, isOpen, iterationClosed, pendingAdds, pendingRemovals, prepare, prepareInternal, registerIteration, removeNamespace, removeNamespaceInternal, removeStatement, removeStatements, removeStatementsInternal, rollback, rollbackInternal, setNamespace, setNamespaceInternal, size, sizeInternal, startTransactionInternal, startUpdate, transactionActive, verifyIsActive, verifyIsOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, explain, getStatements, hasStatement, prepareQuery, removeStatement, removeStatements, setTransactionSettings`

- - ### Constructor Detail

    - #### SailConnectionBase

          public SailConnectionBase(AbstractSail sailBase)

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.